/*
 * Item
 *
 * Index
 * - Native
 * - Inner
 * - Input
 * - Icons
 * - Buttons
 * - Lines
 */

/**
 * @prop --border-radius: Radius of the item border
 * @prop --background-color: Background of the item
 * @prop --border-color: Border of the item button
 * @prop --min-height: Minimum height of the item
 * @prop --padding-left: Padding left of the native element
 * @prop --inner-padding: inner padding of the item
 * @prop --detail-color: color of the detail icon
 */

:host {
  --border-radius: var(--road-spacing-02);
  --background-color: var(--road-surface);
  --border-color: var(--road-outline-variant);
  --detail-color: var(--road-icon);

  position: relative;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: space-between;
  overflow: hidden;
  font-size: var(--road-font-size-14);
  text-decoration: none;
  border: 1px solid var(--road-outline-weak);
  border-radius: var(--border-radius);
  outline: none;
}

.layout-vertical{
  display: flex;
  flex-direction: column;
  max-width: 224px;
}

.layout-vertical .item-inner {
  align-items: flex-start;
}

/* NATIVE
 -------------------- */

.item-native {
  position: relative;
  z-index: 1;
  box-sizing: border-box;
  display: flex;
  align-items: inherit;
  justify-content: inherit;
  width: 100%;
  padding: var(--road-spacing-05);
  margin: 0;
  overflow: inherit;
  font-family: inherit;
  font-size: inherit;
  color: var(--road-on-surface);
  text-align: left;
  background-color: var(--background-color);
  border: 2px solid transparent;
  outline: none;
  transition: background 0.15s ease-in-out;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

/**
 * Active state
 */

.item-active {
  border: 2px solid var(--border-color);
}

/**
 * Hover / Focus state
 */

button.item-native:not(:disabled):not(.item-active):hover,
button.item-native:not(:disabled):not(.item-active):focus {
  border: 2px solid var(--border-color);
}

/**
 * Reset native behaviours
 */

.item-native::-moz-focus-inner {
  border: 0;
}

button,
a {
  cursor: pointer;
  user-select: none;

  -webkit-user-drag: none;
}

/* INNER
 -------------------- */

.item-inner {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex: 1;
  flex-direction: inherit;
  align-items: center;
  align-self: stretch;
  width: 100%;
  min-height: inherit;
  padding: var(--inner-padding);
  overflow: inherit;
  text-align: inherit;
  text-decoration: none;
  border-color: var(--road-grey-70);
  border-style: solid;
  border-width: var(--inner-border-width, 0);
  outline: 0;
}

/* INPUT
 -------------------- */

.input-wrapper {
  box-sizing: border-box;
  display: flex;
  flex: 1;
  flex-direction: inherit;
  align-items: inherit;
  align-self: stretch;
  overflow: inherit;
  text-overflow: ellipsis;
}

.input-wrapper-info-title {
  font-size: var(--road-font-size-16);
  font-weight: 700;

}

.input-wrapper-info-text {
  margin: 0;
  font-size: var(--road-font-size-16);
  font-weight: 400;
  color: var(--road-on-surface-weak);
}


/* ICONS /IMG
 -------------------- */

.item-detail-icon {
  color: var(--detail-color);
}

::slotted(road-icon) {
  flex-shrink: 0;
  margin-right: 0.5rem;
}

::slotted(road-img) {
  flex-shrink: 0;
  margin-right: 0.5rem;
}

.layout-vertical ::slotted(road-img) {
  margin-bottom: 0.5rem;
}

::slotted(road-label) p{
  color: var(--road-on-surface-weak);
}

/* IMAGE
 -------------------- */



/* BUTTONS
 -------------------- */

::slotted(road-button) {
  --padding-start: 0.5rem;
  --padding-end: 0.5rem;
  --margin-bottom: 0;
}

/* LINES
 -------------------- */

/**
 * No lines list
 */

:host(.item-lines-none) {
  --border-width: 0 !important;
  --inner-border-width: 0 !important;
}

/**
 * Full lines list
 */

:host(.item-lines-full) {
  --border-width: 0 0 1px 0 !important;
  --inner-border-width: 0 !important;
}

/**
 * Inset lines list
 */

:host(.item-lines-inset) {
  --inner-border-width: 0 0 1px 0 !important;
}
